POST api/sitecustomerapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
SiteCustomerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| delay_between_scans | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| remark | string |
None. |
|
| site_id | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"delay_between_scans": 1,
"id": "f415f77f-4ced-42e0-b232-99e040177cdc",
"name": "sample string 4",
"remark": "sample string 5",
"site_id": "36e9bd43-0502-4f82-9405-7d10c3cc329f"
}
application/xml, text/xml
Sample:
<sitecustomer xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <delay_between_scans>1</delay_between_scans> <id>f415f77f-4ced-42e0-b232-99e040177cdc</id> <name>sample string 4</name> <remark>sample string 5</remark> <site_id>36e9bd43-0502-4f82-9405-7d10c3cc329f</site_id> </sitecustomer>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"627579d7-7b9c-4d7d-8a14-db7cc8d0dab9"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">627579d7-7b9c-4d7d-8a14-db7cc8d0dab9</guid>